PineRouterDocs
GuidesModelsAPI referenceApps

List models

GET
/v1/models

Authorization

BearerAuth

AuthorizationBearer <token>

Bearer token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

key?string

API key, Google style (for the Gemini format)

Header Parameters

x-api-key?string

API key, Anthropic style (for the Claude format)

anthropic-version?string

Anthropic API version

x-goog-api-key?string

API key, Google style (for the Gemini format)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://pinerouter.ai/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "gpt-5-2",
      "object": "model",
      "created": 0,
      "owned_by": "openai"
    }
  ]
}
{
  "error": {
    "code": "",
    "message": "Invalid token (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "",
    "message": "This token has no access to model gpt-5-2 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "",
    "message": "You have reached the request limit: maximum 60 requests in 1 minutes (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "bad_response_status_code",
    "message": "bad response status code 500 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error",
    "param": ""
  }
}